TITLE SyringePump.com
echo off
REM *******************************************************
REM * Edit the line below to change the PUMPTERM com port *
REM * NOTE: Only use this file for com ports 1 to 4       *
REM *                                                     *
REM * Example: If your USB converter created Com Port 2,  *
REM * Edit the line below to read:                        *
REM * SET COMTERM = /com=2 /baud=19200 %~1                *
REM *******************************************************
echo on
SET COMTERM= /com=1 /baud=19200 %~1

cd \pumpterm
SET PRGMDIR=%ProgramFiles%
IF DEFINED ProgramFiles(x86) SET PRGMDIR=%ProgramFiles(x86)%

IF EXIST "%PRGMDIR%\DOSBox-0.74\DOSBox.exe" (
"%PRGMDIR%\DOSBox-0.74\DOSBox.exe" -conf "C:\PUMPTERM\pumpterm.conf" -c "pumpterm %COMTERM%" -c exit -noconsole
) ELSE (
c:\pumpterm\pumpterm %COMTERM%
)

